﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class DestructableBox : MonoBehaviour, IInteractable {

	public void Interact() {
		Transform child;

		while (transform.childCount > 0) {
			child = transform.GetChild(0);
			child.transform.SetParent(null);
			Rigidbody cRBody = child.GetComponent<Rigidbody>();
			cRBody.isKinematic = false;
			cRBody.AddExplosionForce(100f, transform.position + Random.insideUnitSphere * 0.3f - Random.insideUnitSphere * 0.3f, 1f);
		}

		Destroy(gameObject);
	}
}
